import SearchPreset_Entity from "./searchPreset";
export default class SearchPreset extends SearchPreset_Entity {
    static fromList(searchPresetsJSON) {
        const searchPresets = [];
        if (searchPresetsJSON)
            Array.isArray(searchPresetsJSON) &&
                searchPresetsJSON.forEach((searchPresetJSON) => {
                    searchPresets.push(new SearchPreset(searchPresetJSON));
                });
        return searchPresets;
    }
    getFilters() {
        try {
            const filters = JSON.parse(this.filter);
            return filters;
        }
        catch {
            return null;
        }
    }
    isMine(uuid) {
        return this.userUUID === uuid;
    }
    toJson() {
        return JSON.stringify(this);
    }
}
