declare const env: {
    api: {
        endpoint: {
            defaultValue: string;
            type: string;
            description: string;
        };
        port: {
            defaultValue: number;
            type: string;
            description: string;
        };
        routePrefix: {
            defaultValue: string;
            type: string;
            description: string;
        };
        production: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
        versionCheckerEndpoint: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    app: {
        alphaWatermark: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
        betaWatermark: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
        favicon: {
            defaultValue: string;
            type: string;
            description: string;
        };
        logo: {
            defaultValue: string;
            type: string;
            description: string;
        };
        rootBackground: {
            defaultValue: string;
            type: string;
            description: string;
        };
        title: {
            defaultValue: string;
            type: string;
            description: string;
        };
        theme: {
            primaryColor: {
                defaultValue: string;
                type: string;
                description: string;
            };
            secondaryColor: {
                defaultValue: string;
                type: string;
                description: string;
            };
        };
        signinRedirection: {
            defaultValue: string;
            type: string;
            description: string;
        };
        shipEndpoint: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    centrifugo: {
        url: {
            defaultValue: string;
            type: string;
            description: string;
        };
        token: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
};
export default env;
