import { Context, PropsWithChildren } from "react";
export interface NerdSecurityAgentWrapperProps {
    overwrite?: Record<string, string[]>;
    highlight?: boolean;
    access: Record<string, string[]>;
    userServices?: Record<string, string[]>;
}
declare const SecurityContext: Context<NerdSecurityAgentWrapperProps>;
export { SecurityContext };
/**
 * NerdSecurityAgentWrapper
 *
 * @param {NerdSecurityAgentWrapperProps} props component props
 * @returns {null} NerdSecurityAgentWrapper
 */
export declare function NerdSecurityAgentWrapper(props: PropsWithChildren<NerdSecurityAgentWrapperProps>): import("react/jsx-runtime").JSX.Element;
