export interface EnvType {
    api: {
        endpoint: string;
        port: number;
        production: boolean;
        routePrefix: string;
        versionCheckerEndpoint: string;
    };
    app: {
        alphaWatermark: boolean;
        betaWatermark: boolean;
        favicon: string;
        logo: string;
        logoDarkMode: string;
        rootBackground: string;
        title: string;
        theme: {
            primaryColor: string;
            secondaryColor: string;
        };
        signinRedirection: string;
        shipEndpoint: string;
        notFoundImage: string;
        "401Redirect": string;
    };
}
